> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if a slug is available on a published domain

> Returns whether the given `slug` is available for use on the given `domainSlug`.

Used by the publish-settings UI for live validation.



## OpenAPI

````yaml get /published/slug-availability
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /published/slug-availability:
    get:
      tags:
        - Published
      summary: Check if a slug is available on a published domain
      description: >-
        Returns whether the given `slug` is available for use on the given
        `domainSlug`.


        Used by the publish-settings UI for live validation.
      operationId: getSlugAvailability
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: domainSlug
          in: query
        - schema:
            type: string
            minLength: 1
          required: true
          name: slug
          in: query
        - schema:
            type: string
          required: false
          name: excludeDocId
          in: query
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      available:
                        type: boolean
                      reason:
                        type: string
                        enum:
                          - format
                          - length
                          - reserved
                          - id-shaped
                          - profanity
                          - taken
                    required:
                      - available
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````